Source: flask
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 flit,
 pybuild-plugin-pyproject,
 python-blinker-doc <!nodoc>,
 python-click-doc <!nodoc>,
 python-itsdangerous-doc <!nodoc>,
 python-jinja2-doc <!nodoc>,
 python-sqlalchemy-doc <!nodoc>,
 python-werkzeug-doc <!nodoc>,
 python-wtforms-doc <!nodoc>,
 python3-all,
 python3-blinker (>= 1.9.0) <!nocheck !nodoc>,
 python3-click (>= 8.1.3) <!nocheck !nodoc>,
 python3-doc <!nodoc>,
 python3-itsdangerous (>= 2.2) <!nocheck !nodoc>,
 python3-jinja2 <!nocheck>,
 python3-pallets-sphinx-themes <!nodoc>,
 python3-pytest (>= 7.4) <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinx-tabs <!nodoc>,
 python3-werkzeug (>= 3.1.0) <!nocheck>,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/flask.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask
Homepage: https://github.com/pallets/flask
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-flask
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-asgiref,
 python3-dotenv,
Suggests:
 python-flask-doc,
Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()
 .
 This package contains the Python 3.x module.

Package: python-flask-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-flask,
Multi-Arch: foreign
Description: micro web framework based on Werkzeug and Jinja2 - documentation
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()
 .
 This package contains the documentation for Flask.
